#!/bin/bash

set -o errexit
mkdir memory
cd weblate/vcs
for LNG in ar cs de es fr hu it ja ko nl pl pt_BR ru sv zh_CN zh_TW ; do
	(find -wholename */$LNG/*.po ; find -name *$LNG.*.po ; find -name *$LNG.po) |
		while read ; do
			mkdir -p "../../memory/TEMP/${REPLY%/*}"
			msgattrib --no-fuzzy --translated "$REPLY" -o "../../memory/TEMP/$REPLY"
		done
done
cd ../../memory/TEMP
for LNG in ar cs de es fr hu it ja ko nl pl pt_BR ru sv zh_CN zh_TW ; do
	msgcat $(find -wholename */$LNG/*.po ; find -name *$LNG.*.po ; find -name *$LNG.po) -o ../$LNG.po ; done
done
rm -rf TEMP
cd ../..
tar -Jcf weblate-memory.tar.xz memory
rm -rf memory
